Sponsor Message:
Non Aviation Forum
My Starred Topics | Profile | New Topic | Forum Index | Help | Search 
Firefox Trouble Shooting  
User currently offlineCba From United States of America, joined Jul 2000, 4531 posts, RR: 3
Posted (5 years 13 hours ago) and read 1269 times:

I have been having an ongoing issue with Firefox that I cannot seem to resolve. I have downloaded the latest version and stayed current with all the updates (currently running 3.5.3).

However, when I go to certain web sites, I will get an error page saying that I need to update my browser to a newer version, 2.0 or higher. I recently installed the latest Flash plugin, however flash sites tell me that I still need to update!

I have tried uninstalling and reinstalling Firefox, and for some reason the problem persists... I have the newest version and the updated plugins but the web sites keep telling me the version I am running is too old, so I have to use Internet Explorer.

How can I fix this problem?

4 replies: All unread, jump to last
 
User currently offlineEMBQA From United States of America, joined Oct 2003, 9364 posts, RR: 11
Reply 1, posted (5 years 4 hours ago) and read 1223 times:

Did the problems start after you upgraded...? I'm still running Firefox 3.0


"It's not the size of the dog in the fight, but the size of the fight in the dog"
User currently offlineWILCO737 From Greenland, joined Jun 2004, 9031 posts, RR: 75
Reply 2, posted (5 years 4 hours ago) and read 1214 times:
AIRLINERS.NET CREW
HEAD MODERATOR



Quoting Cba (Thread starter):

I had smilar problems when I upgraded to the new FF and it was so annoying that I am using this browser now:

http://www.srware.net/en/software_srware_iron.php

It is excellent, very fast and a perfect pop- up blocker.

I cannot help you with your FF problems, just point you to an excellent browser.

wilco737



It it's not Boeing, I am not going.
User currently offlineJBo From Sweden, joined Jan 2005, 2340 posts, RR: 0
Reply 3, posted (5 years 1 hour ago) and read 1187 times:

With my latest Firefox update it told me I should download the latest Adobe Flash plugin immediately due to some conflicts with the older plugin.

So, try updating your Flash plugin and see if it fixes your issues.



I'd take the awe of understanding over the awe of ignorance any day.
User currently offlineCba From United States of America, joined Jul 2000, 4531 posts, RR: 3
Reply 4, posted (4 years 12 months 4 days 12 hours ago) and read 1135 times:

The issue has been going on for months... its frankly very confusing. This is on my Lenovo Windows XP laptop at work, the Firefox I run on my Macbook Pro at home has no such issues.

Quoting JBo (Reply 3):
So, try updating your Flash plugin and see if it fixes your issues.

I did upgrade my flash plugin, and then I went to a site that immediately said that I needed the newest version... the one that I just installed.


Top Of Page
Forum Index

This topic is archived and can not be replied to any more.

Printer friendly format

Similar topics:More similar topics...
Shooting An Outdoor Concert-Advice posted Thu Aug 20 2009 17:59:39 by Cadet57
Firefox 3.5 Released 30 June posted Tue Jun 30 2009 08:50:07 by WestWing
Neo-Nazi Shooting At US Holocaust Museum posted Wed Jun 10 2009 12:06:11 by Dtwclipper
Simple Firefox Question :) posted Mon Jun 1 2009 07:44:06 by Eatmybologna
Firefox To Explorer 8 Importing posted Tue May 26 2009 10:35:34 by EMBQA
Having Trouble Uploading Videos posted Sun May 17 2009 10:51:53 by MCOflyer
Officer Suspended After Shooting Himself posted Sat Apr 25 2009 17:17:42 by MCOflyer
Unusual Firefox Problems posted Sun Mar 29 2009 20:53:10 by USAir1489
New Information About The School Shooting In DE posted Thu Mar 19 2009 06:30:54 by Aero145
9 Dead In German School Shooting, 10 In Alabama! posted Wed Mar 11 2009 03:44:48 by LHR380